package com.damiens.lutecia.petfun;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.Toast;

import com.damiens.lutecia.petfun.Jour.Image;

import java.io.InputStream;

/**
 * Created by Lutécia on 07/05/2017.
 */

public class AnimalActivity extends AppCompatActivity {
    EditText et;
    Button b_valider;
    private static final int REQUEST_CODE = 1;
    Button b;
    private ImageView imageView;
    final Image avatar = Image.getInstance(this);
    private Bitmap bitmap;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_animal);

        et = (EditText) findViewById(R.id.et);
        b_valider = (Button) findViewById(R.id.BoutonValidationNom);
        b = (Button) findViewById(R.id.BoutonAvatar);
        imageView = (ImageView) findViewById(R.id.imageView1);

        et.addTextChangedListener(new TextWatcher() {

            public void afterTextChanged(Editable s) {
                final SharedPreferences prefs = getSharedPreferences("Configuration", Context.MODE_PRIVATE);
                final SharedPreferences.Editor editor = prefs.edit();
                editor.putString("Name", s.toString());
                editor.commit();
            }

            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            public void onTextChanged(CharSequence s, int start, int before, int count) {

            }
        });



        b_valider.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Toast.makeText(AnimalActivity.this, "Configuration enregistrée", Toast.LENGTH_LONG).show();
                Intent mIntent = new Intent(AnimalActivity.this, MainActivity.class);
                AnimalActivity.this.startActivity(mIntent);
            }
        });

        b.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                f(v);
            }
        });
    }

    public void f(View View) {
        Intent intent = new Intent();
        intent.setType("image/*");
        intent.setAction(Intent.ACTION_GET_CONTENT);
        intent.addCategory(Intent.CATEGORY_OPENABLE);
        startActivityForResult(intent, REQUEST_CODE);
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        InputStream stream = null;
        if (requestCode == REQUEST_CODE && resultCode == Activity.RESULT_OK)
            try {
                // recyle unused bitmaps
                if (bitmap != null) {
                    bitmap.recycle();
                }
                stream = getContentResolver().openInputStream(data.getData());
                bitmap = BitmapFactory.decodeStream(stream);
                avatar.setImage(bitmap);
                imageView.setImageBitmap(bitmap);
            } catch (Exception e) {
                e.printStackTrace();
            }
    }



}
