package com.damiens.lutecia.petfun;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;
import android.widget.TextView;

import java.util.ArrayList;

/**
 * Created by Lutécia on 06/05/2017.
 */

public class AutoActivity extends AppCompatActivity {
    Button b_config;
    Button b_animalconfig;
    ListView lv_tab;
    TextView tv_nom;
    TextView tv_poids;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_auto);

        b_config = (Button) findViewById(R.id.BoutonConfigurationActivity);
        b_animalconfig = (Button) findViewById(R.id.BoutonAnimalActivity);
        lv_tab = (ListView) findViewById(R.id.lv);
        tv_nom = (TextView) findViewById(R.id.tvNom);
        tv_poids = (TextView) findViewById(R.id.tvPoids);

        //Lancement de la configuration de la gamelle
        b_config.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent mIntent = new Intent(AutoActivity.this, ConfigurationActivity.class);
                AutoActivity.this.startActivity(mIntent);
            }
        });

        //Lancement de la configuration des parametres de l'animal
        b_animalconfig.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent mIntent = new Intent(AutoActivity.this, AnimalActivity.class);
                AutoActivity.this.startActivity(mIntent);
            }
        });

        //Affichage de la configuration

        //Récupération du nom de l'animal dans les préférences
        final SharedPreferences prefs = getSharedPreferences("Configuration", Context.MODE_PRIVATE);

        //Affichage du nom de l'animal
        if(prefs.getString("Name", "John Doe")!="John Doe") {
            tv_nom.setText("Nom de l'animal : " + prefs.getString("Name", "John Doe") + ".");
        }
        else
            tv_nom.setText("Pas de nom d'animal enregistré.");

        //Affichage du poids enregistré dans les préférences
        if(prefs.getInt("Poids", -1) == -1)
            tv_poids.setText("Pas de poids enregistré.");
        else
            tv_poids.setText("Poids d'une gamelle : " + prefs.getInt("Poids", 0) + "g.");

        //Affichage du tableau des horaires
        ArrayList<String> t = new ArrayList<String>();
        //Récupération de la liste des horaires dans les préférences
        int nb_horaires = prefs.getInt("Nombre d'horaires", -1);
        if(nb_horaires != -1)
        {
            for(int i = 0 ; i < nb_horaires ; i++)
            {
                t.add(prefs.getString("Horaire" + Integer.toString(i), ""));
            }
        }
        createTableau(t);
    }

    //Fonction qui permet d'afficher des tableaux
    private void createTableau(ArrayList<String> s) {
        Object[] temp = s.toArray();
        ArrayAdapter<String> adapter = new ArrayAdapter<String>(AutoActivity.this, android.R.layout.simple_list_item_1, s);
        lv_tab.setAdapter(adapter);
    }


}
