package com.damiens.lutecia.petfun.Jour;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.database.sqlite.SQLiteDatabase.CursorFactory;

import java.io.Serializable;

/**
 * Created by Lutécia on 12/04/2017.
 */

public class MaBaseSQLite extends SQLiteOpenHelper implements Serializable{
    //Variables
    private static final String TABLE_JOURS="table_jours";
    //Les differentes colonnes
    private static final String COL_ID="ID";
    private static final String COL_DATE="Date";
    private static final String COL_DOSAGE="Dosage";
    private static final String COL_FREQUENCE="Frequence";
    private static final String COL_POIDS="Poids";

    //La table en elle meme
    private static final String CREATE_BDD = "CREATE TABLE " + TABLE_JOURS + " (" + COL_ID + " INTEGER PRIMARY KEY AUTOINCREMENT, "
            + COL_DATE + " TEXT NOT NULL, " + COL_DOSAGE + " TEXT NOT NULL, " + COL_FREQUENCE + " TEXT NOT NULL, " + COL_POIDS + " TEXT NOT NULL);";

    //Méthodes
    public MaBaseSQLite(Context context, String name, CursorFactory factory, int version) {
        super(context, name, factory, version);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL(CREATE_BDD);
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        //Nous allons supprimer l'ancienne version et en recréer une nouvelle
        //On pourrait implémenter une autre manière de le faire, sans détruire la BDD
        db.execSQL("DROP TABLE " + TABLE_JOURS + ";");
        onCreate(db);
    }
}
