package com.damiens.lutecia.petfun;

import android.content.Intent;
import android.graphics.Bitmap;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;

import com.damiens.lutecia.petfun.Jour.Image;
import com.damiens.lutecia.petfun.Jour.Jour;
import com.damiens.lutecia.petfun.Jour.JoursBDD;

/* Application finale */

/*** Cette activité est un index ***/
public class MainActivity extends AppCompatActivity {

    //Déclaration des différents widgets
    Button b_manuelmode;
    Button b_statistiques;
    Button b_automode;
    int id_actuel=-1;
    private ImageView imageView;
    TextView tv_Name;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        //Affichage de l'avatar
        imageView = (ImageView) findViewById(R.id.imageView1);
        final Image avatar = Image.getInstance(this);
        Bitmap b = avatar.getImage();
        imageView.setImageBitmap(b);

        //Association du widget avec son ID
        b_manuelmode = (Button) findViewById(R.id.BoutonManuelActivity);
        b_statistiques = (Button) findViewById(R.id.BoutonStatsActivity);
        b_automode = (Button) findViewById(R.id.BoutonAutoActivity);
        tv_Name = (TextView) findViewById(R.id.Nom);

        //Lancement de l'ouverture de la page de controle manuel de la gamelle
        b_manuelmode.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent mIntent = new Intent(MainActivity.this, ManuelModeActivity.class);
                MainActivity.this.startActivity(mIntent);
            }
        });

        //Lancement de l'ouverture de la page relative aux statistiques
        b_statistiques.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent mIntent = new Intent(MainActivity.this, StatistiquesActivity.class);
                MainActivity.this.startActivity(mIntent);
            }
        });

        //Lancement de l'ouverture de la page de contrôle automatique de la gamelle
        b_automode.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent mIntent = new Intent(MainActivity.this, AutoActivity.class);
                MainActivity.this.startActivity(mIntent);
            }
        });

        //Creation d'une instance de la BDD, unique grâce au singleton
        final JoursBDD joursBDD = JoursBDD.getInstance(this);
        //Constructeur
        //Jour(String date, int dosage, int frequence, int poids)
        Jour j = new Jour("11/04/2017", 25, 2, 10);
        joursBDD.open();
        //joursBDD.insertJour(j);

        j = new Jour("31/3/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);

        j = new Jour("1/4/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);

        j = new Jour("2/4/2017", 25, 1, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);

        j = new Jour("3/4/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);

        j = new Jour("4/4/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);

        j = new Jour("5/4/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);

        j = new Jour("6/4/2017", 25, 1, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);

        j = new Jour("7/4/2017", 25, 1, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);

        j = new Jour("8/4/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);

        j = new Jour("9/4/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);

        j = new Jour("10/4/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);

        j = new Jour("11/4/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("12/4/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("13/4/2017", 25, 1, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("14/4/2017", 25, 4, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("15/4/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("16/4/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("17/4/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("18/4/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("19/4/2017", 25, 4, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("20/4/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("21/4/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("22/4/2017", 25, 1, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("23/4/2017", 25, 1, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("24/4/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("25/4/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("26/4/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("27/4/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("28/4/2017", 25, 1, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("29/4/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("30/4/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("1/5/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("2/5/2017", 25, 1, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("3/5/2017", 25, 1, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("4/5/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("5/5/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("6/5/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("7/5/2017", 25, 1, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("8/5/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("9/5/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("10/5/2017", 25, 3, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("11/5/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("12/5/2017", 25, 1, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        j = new Jour("13/5/2017", 25, 2, 10);
        j.setId(id_actuel++);
        joursBDD.insertJour(j);
        System.out.println(Integer.toString(j.getId()));

        /*
        Jour jFromBdd = joursBDD.getJourWithID(28);

        if(jFromBdd != null) {
            Toast.makeText(this, jFromBdd.toString(), Toast.LENGTH_LONG).show();
        }*/

        //Test
        //Jour jFromBdd = joursBDD.getJourWithDate(j.getDate());
        /*Jour jFromBdd = joursBDD.getJourWithDate("2/5/2017");
        if(jFromBdd != null) {
            Toast.makeText(this, jFromBdd.toString(), Toast.LENGTH_LONG).show();
        }*/
/*
        jFromBdd = joursBDD.getJourWithDate(j.getDate());
        if(jFromBdd == null) {
            Toast.makeText(this, "Ce jour n'existe pas ou plus dans la BDD", Toast.LENGTH_LONG).show();
        }
        else{
            Toast.makeText(this, "Ce jour existe dans la BDD, probleme !!", Toast.LENGTH_LONG).show();
        }*/
    }
}
