package com.damiens.lutecia.petfun;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.Button;

import java.io.DataOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.net.InetAddress;
import java.net.Socket;
import java.net.UnknownHostException;

/**
 * Created by Lutécia on 13/04/2017.
 */


/*** Cette activité permet de contrôler la gamelle à distance, allumage et extinction ***
*** d'une LED et contrôle du servomoteur pour deverser des croquettes dans la gamelle ***/

public class ManuelModeActivity extends AppCompatActivity {

    //Variables générales
    private Socket socket;
    Button b_on, b_off, b_nourrir;
    InetAddress esp_ip;
    OutputStream data;
    String text="";
    int SERVERPORT = 80;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_manuelmode);

        //Declaration des differents widgets
        b_on = (Button) findViewById(R.id.BoutonON);
        b_off = (Button) findViewById(R.id.BoutonOFF);
        b_nourrir = (Button) findViewById(R.id.BoutonNourrir);

        //Listener des differents widgets
        b_on.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                text="/gpio/0";
                new Thread(new ManuelModeActivity.ClientThread()).start();
            }
        });

        b_off.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                text="/gpio/1";
                new Thread(new ManuelModeActivity.ClientThread()).start();
            }
        });

        b_nourrir.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                text="/nourrir/";
                new Thread(new ManuelModeActivity.ClientThread()).start();
            }
        });
    }



    //Thread gerant l'envoi de donnes au module wifi
    class ClientThread implements Runnable {
        @Override
        public void run()
        {
            try {
                //Creation d'une socket
                System.out.println("Demande de connexion");
                esp_ip = InetAddress.getByName("192.168.1.40");
                System.out.println(SERVERPORT);
                System.out.println(esp_ip.getHostAddress());
                socket = new Socket(esp_ip, SERVERPORT);
                System.out.println(socket.getLocalAddress());
                System.out.println("Connexion établie avec le serveur");

                if(socket==null)
                {
                    System.out.println("socket = null");
                }
                else {
                    System.out.println("Connexion OK");
                }

                //Envoi des donnees
                data=socket.getOutputStream();
                DataOutputStream d = new DataOutputStream(data);
                d.writeBytes(text);
            }
            catch(UnknownHostException exception)
            {
                System.out.println("UnknownHostException");
            }
            catch (IOException e)
            {
                System.out.println("IOException");
                e.printStackTrace();
            }
            catch (IllegalArgumentException e)
            {
                System.out.println("IllegalArgumentException");
                e.printStackTrace();
            }
            catch (SecurityException e)
            {
                System.out.println("SecurityException");
                e.printStackTrace();
            }
            catch (Exception e)
            {
                e.printStackTrace();
            }
        }
    }
}
