#include <ESP8266WiFi.h>
#include <SoftwareSerial.h>
SoftwareSerial espserial(30,31);

//Connexion au wifi configuré en salle de projet
const char* ssid = "PFA_P37";
const char* password = "aaaaaaaaaa";

// Creation d'une instance du serveur
WiFiServer server(80); //PORT 80 utilisé

void setup() {
  Serial.begin(115200);
  delay(10);

  // Configuration des GPIO2 (LED) et GPIO4 (Arduino)
  pinMode(2, OUTPUT);
  digitalWrite(2, 0);
  pinMode(4, OUTPUT);
  digitalWrite(4,0);
  
  // Connexion au wifi
  Serial.println();
  Serial.println();
  Serial.print("Connecting to ");
  Serial.println(ssid);
  
  WiFi.beg(ssid, password);
  
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.println("WiFi connected");
  
  // Lancement du serveur
  server.begin();
  Serial.println("Server started");

  // Impression de l'adresse IP
  Serial.println(WiFi.localIP());
}

void loop() {
  // On vérifie si un client est connecté
  WiFiClient client = server.available();
  if (!client) {
    return;
  }
  
  // Attente de l'envoi de données
  Serial.println("new client");
  while(!client.available()){
    delay(1);
  }
  
  // Lecture de la première ligne de la requête
  String req = client.readStringUntil('\r');
  Serial.println(req);
  client.flush();
  
  // Que faire avec la donnée reçu ?
  int val;
  if (req.indexOf("/gpio/0") != -1)
    val = 0;
  else if (req.indexOf("/gpio/1") != -1)
    val = 1;
  else if (req.indexOf("/nourrir/") != -1)
    {
      Serial.println("Demande de nourriture");
      digitalWrite(4, 1);
      delay(500);
      digitalWrite(4, 0);
      client.flush();
    } 
  else {
    Serial.println("invalid request");
    client.stop();
    return;
  }

  // Allumage de la LED en GPIO2 selon la requête
  digitalWrite(2, val);
  
  client.flush();

  // Preparation de la reponse
  String s = "HTTP/1.1 200 OK\r\nContent-Type: text/html\r\n\r\n<!DOCTYPE HTML>\r\n<html>\r\nGPIO is now ";
  s += (val)?"high":"low";
  s += "</html>\n";

  // On envoie la reponse au client
  client.print(s);
  delay(1);
  Serial.println("Client disonnected");
  //Client déconnecté
}

